package com.gci.boot.modules.monitor.enums;

import lombok.Getter;

public enum VehicleStatusEnum {

    //             ""        1       2        3          4           5            6
    //   状态：   全部车辆     在线    离线     故障告警    围栏告警      超速告警     主动安全告警

    /**
     * 全部车辆
     */
    ALL("全部车辆",""),
    /**
     * 在线
     */
    IS_ONLINE("在线","1"),
    /**
     * 离线
     */
    NO_ONLINE("离线","2"),
    /**
     * 故障告警
     */
    FAULT("故障告警","3"),
    /**
     * 围栏告警
     */
    FENCE("围栏告警","4"),
    /**
     * 超速告警
     */
    SPEED("超速告警","5"),
    /**
     * 主动安全告警
     */
    SAFETY("主动安全告警","6"),
    /**
     * 作业中
     */
    WORK("作业中","7")
    ;
    /**
     * 维修状态
     */
    @Getter
    private String type;

    @Getter
    private String statusType;



    VehicleStatusEnum(String type, String statusType) {
        this.type = type;
        this.statusType = statusType;
    }

    public static VehicleStatusEnum getEnum(String type){
        for (VehicleStatusEnum statusEnum : VehicleStatusEnum.values()) {
            if (statusEnum.getType().equals(type)) {
                return statusEnum;
            }
        }
        return null;
    }

}
